<?xml version="1.0" encoding="UTF-8"?>
<!-- rc9128bu1.xslt, 05-06-2024 -->
<xsl:stylesheet version="1.0" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
xmlns:ave="http://ei.vektis.nl/aanenafmeldingverzekerde/basisschema/v1_1" 
xmlns:vz806="http://ei.vektis.nl/aanenafmeldingverzekerde/vz806/v1_1">

	<!-- retourcode 9128 DatumRedenGeenRecht moet voorkomen bij deze waarde in CodeRedenGeenRecht.-->
	
	<xsl:template name="rc9128b">

		<xsl:param name="CodeRedenGeenRecht"/>
		<xsl:param name="DatumRedenGeenRecht"/>

		<xsl:if test="normalize-space($CodeRedenGeenRecht) = 7301 or normalize-space($CodeRedenGeenRecht) = 7302
			 or normalize-space($CodeRedenGeenRecht) = 7305 or normalize-space($CodeRedenGeenRecht) = 7306">
			<xsl:if test="(normalize-space($DatumRedenGeenRecht) = '')">
				<vz806:Retourcode>9128</vz806:Retourcode>
			</xsl:if>
		  </xsl:if>
	</xsl:template>

</xsl:stylesheet>


