<?xml version="1.0" encoding="UTF-8"?>
<!-- rc8990u1.xslt, 05-06-2024 -->
<xsl:stylesheet version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:ave="http://ei.vektis.nl/aanenafmeldingverzekerde/basisschema/v1_1" 
 xmlns:vz806="http://ei.vektis.nl/aanenafmeldingverzekerde/vz806/v1_1">
	
	<!-- retourcode 8990: Einddatum moet gelijk zijn aan of later zijn dan de begindatum. -->
	
	<xsl:template name="rc8990">
		
		<xsl:param name="Begindatum"/>
		<xsl:param name="Einddatum"/>
		
		<xsl:if test="not(normalize-space($Einddatum)='')">
			<xsl:if test="normalize-space($Begindatum) &gt; normalize-space($Einddatum)">
				<vz806:Retourcode>8990</vz806:Retourcode>
			</xsl:if>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>

